AbstractIncludeExcludeRenderer (Grails 6.0.0)

Package: grails.rest.render

## [Groovy] Class AbstractIncludeExcludeRenderer<T>

- grails.rest.render.AbstractIncludeExcludeRenderer

-     @groovy.transform.CompileStatic
      abstract class AbstractIncludeExcludeRenderer<T>
      extends AbstractRenderer<T>

  Abstract class for implementing renderers that include/exclude certain properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<java.lang.String>` | `excludes` |
    `private IncludeExcludeSupport<java.lang.String>` | `includeExcludeSupport` |
    `private java.util.List<java.lang.String>` | `includes` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `excludes`
    `IncludeExcludeSupport<java.lang.String>` | `includeExcludeSupport`
    `java.util.List<java.lang.String>` | `includes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractIncludeExcludeRenderer (java.lang.Class<T> targetType, MimeType mimeType)`
    `AbstractIncludeExcludeRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `excludesProperty(java.lang.Object object, java.lang.String property)`
    `` | `boolean` | `includesProperty(java.lang.Object object, java.lang.String property)`
    `` | `boolean` | `shouldIncludeProperty(RenderContext renderContext, java.lang.Object object, java.lang.String property)`

- - ### Field Detail

    - #### private java.util.List<java.lang.String> excludes

    - #### private IncludeExcludeSupport<java.lang.String> includeExcludeSupport

    - #### private java.util.List<java.lang.String> includes

  - ### Property Detail

    - #### java.util.List<java.lang.String> excludes

    - #### IncludeExcludeSupport<java.lang.String> includeExcludeSupport

    - #### java.util.List<java.lang.String> includes

  - ### Constructor Detail

    - #### AbstractIncludeExcludeRenderer(java.lang.Class<T> targetType, MimeType mimeType)

    - #### AbstractIncludeExcludeRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### boolean excludesProperty(java.lang.Object object, java.lang.String property)

    - #### boolean includesProperty(java.lang.Object object, java.lang.String property)

    - #### boolean shouldIncludeProperty(RenderContext renderContext, java.lang.Object object, java.lang.String property)